Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » EclipseLink » Adding dependency to EclipseLink (ant+maven+Tycho)
Adding dependency to EclipseLink (ant+maven+Tycho) [message #1758002] Wed, 22 March 2017 17:01 Go to next message
Pavel No is currently offline Pavel NoFriend
Messages: 45
Registered: May 2016
Member
I want to add slf4j-api dependency to org.eclipse.persistence.core. So I added to org.eclipse.persistence.core/META-INF/MANIFEST.MF to Require-Bundle setting:
Require-Bundle: (original), slf4j.api;bundle-version="1.7.21"

But I got
[java] Caused by: java.lang.RuntimeException: No solution found because the problem is unsatisfiable.: [Unable to satisfy dependency from org.eclipse.persistence.core 2.6.3.qualifier to bundle slf4j.api 1.7.21.; No solution found because the problem is unsatisfiable.] 
[java] at org.eclipse.tycho.p2.util.resolution.AbstractResolutionStrat‌​egy.newResolutionExc‌​eption(AbstractResol‌​utionStrategy.java:9‌​8)


Also I tried
Require-Bundle: (original), org.slf4j;bundle-version="1.7.21"

But result is the same.

Please, anyone, say how to add slf4j-api dependency to org.eclipse.persistence.core. It must be so simple task but It is a month I can't find a way how to do it. Please, eclipselink developers answer.

The question was asked on SO
Re: Adding dependency to EclipseLink (ant+maven+Tycho) [message #1758041 is a reply to message #1758002] Wed, 22 March 2017 22:38 Go to previous messageGo to next message
Lukas JungmannFriend
Messages: 27
Registered: November 2013
Location: Prague, Czech Republic
Junior Member
What problem are you trying to solve? If you just want to use slf4j, see http://git.eclipse.org/c/eclipselink/eclipselink.runtime.git/tree/foundation/org.eclipse.persistence.extension/src/org/eclipse/persistence/logging/slf4j/SLF4JLogger.java

thanks,
--lukas
Re: Adding dependency to EclipseLink (ant+maven+Tycho) [message #1758051 is a reply to message #1758041] Thu, 23 March 2017 06:45 Go to previous messageGo to next message
Pavel No is currently offline Pavel NoFriend
Messages: 45
Registered: May 2016
Member
Hi Lukas.
Yes, this is the class which I want to add to eclipselink code. However, in order to add this file to code I must provide slf4j as dependency. This is the reason of my question.
Please, note, that because of some reasons (osgi related) I need to add this file to eclipselink project.
So the question is the same how to add this dependency to project.

[Updated on: Thu, 23 March 2017 06:47]

Report message to a moderator

Re: Adding dependency to EclipseLink (ant+maven+Tycho) [message #1758090 is a reply to message #1758051] Thu, 23 March 2017 12:45 Go to previous messageGo to next message
Lukas JungmannFriend
Messages: 27
Registered: November 2013
Location: Prague, Czech Republic
Junior Member
that class is part of eclipselink codebase and it used to be part of eclipselink core temporarily , see https://bugs.eclipse.org/bugs/show_bug.cgi?id=296391 which contains full patch and refers to http://git.eclipse.org/c/eclipselink/eclipselink.runtime.git/commit/?id=dcddcca8957380345b981ce9cba11104667032cc
Due to the number of dependencies this brings we decided to move this out from the main 'eclipselink.jar' and provide this functionality through the extensions module. These changes are part of current master.
Re: Adding dependency to EclipseLink (ant+maven+Tycho) [message #1758097 is a reply to message #1758090] Thu, 23 March 2017 14:00 Go to previous message
Pavel No is currently offline Pavel NoFriend
Messages: 45
Registered: May 2016
Member
Thank you for such detailed explanation. As I understand I should clone now mater and build the code. What is "plugin"? Is it a separated "jar" which must be on classpath? Should I do something else to use this "plugin"?
Previous Topic:SOAP IllegalArgumentException for array parameter
Next Topic:How to exclude entity transactions from logging
Goto Forum:
  


Current Time: Wed Nov 22 01:55:56 GMT 2017

Powered by FUDForum. Page generated in 0.01942 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software